#! /bin/sh
#------------------------------------------------------------------------------
#$Author: saulius $
#$Date: 2014-02-21 12:23:44 +0100 (Fri, 21 Feb 2014) $
#$Revision: 23 $
#$URL: svn+ssh://saulius-grazulis.lt/home/saulius/svn-repositories/templates/script.sh $
#------------------------------------------------------------------------------
#*
#   ... Describe function of your script here ... ;)
#**

TMP_DIR="${TMPDIR}"

set -ue
## set -x

script() { echo "# $*"; cat; }
setvar() { eval $1="'$3'"; }

setvar Id = '$Id: script.sh 23 2014-02-21 11:23:44Z saulius $'

setvar FILES = ""

setvar BASENAME = "`basename $0`"

#** USAGE:
#**   $0 --options ... file1.inp files*.inp
#**
#** OPTIONS:
#**  ...
#**  --help                   print short help message (this message) and exit
while [ $# -gt 0 ]
do
  case $1 in
      --help|--hel|--he|--h)
            awk '/#\*/,/#\*\*/ {
                    sub("^ *#[*]?[*]?", ""); \
                    gsub("\\$0","'$(basename $0)'"); \
                    print $0
                }' $0
	    exit
	    ;;      
      -*) echo "`basename $0`: unknown option $1" >&2 ; exit 1 ;;
      *)  FILES="$FILES '$1'" ;;
    esac
    shift
done

echo ${FILES}
eval set -- "${FILES}"

test -z "${TMP_DIR}" && TMP_DIR="/tmp"
TMP_DIR="${TMP_DIR}/tmp-${BASENAME}-XXXXXX-$$"
## TMP_DIR=$(mktemp -d "${TMP_DIR}")
mkdir "${TMP_DIR}"

TMP_DATA=${TMP_DIR}/tarpinis.dat

# To make the trap portable between bash and dash, we need to trap
# "signal" 0 ("EXIT") and rely on it for the cleanup:
## trap "rm -rf '${TMP_DIR}'" 0 1 2 3 15
trap "rm -rf '${TMP_DIR}'" EXIT
trap "exit 1" HUP INT QUIT TERM

set -x

## sleep 6


echo 1 2 3 4 > ${TMP_DATA}
cat ${TMP_DATA}
